% VBM5.1
% Voxel Based Morphometry Toolbox          -                      VBM5.1
%_______________________________________________________________________
% __  __ ____   __  __
% \ \/ / | - ) (  \/  )  
%  \  /  |---\  )    (   Voxel Based Morphometry Toolbox
%   \/   |___/ (_/\/\_)  http://dbm.neuro.uni-jena.de/vbm/
%_______________________________________________________________________
% v1.18 Copyright (C) 2007 Christian Gaser christian.gaser@uni-jena.de
%
% General files
%   INSTALL.txt           - installation instructions
%   options.man           - some notes on extended options
%   vbm5.man              - notes on VBM5.1 toolbox
%
% VBM functions
%   spm_vbm5.m            - Toolbox wrapper to call functions
%   cg_config_vbm.m       - configure VBM
%   cg_vbm.m              - modified spm_preproc.m
%   cg_vbm_write.m        - write out VBM results
%   cg_gwc_HMRF.m         - application of HMRF to segmented data
%   cg_gwc_aMRF.m         - application of iterative HMRF to segmented data
%   cg_morph_vol.m        - morphological operations to 3D data
%   cg_vbm_defaults.m     - sets the defaults for VBM
%
% Utility functions
%   cg_vbm_tools.m        - wrapper for calling VBM utilities
%   cg_showslice_all.m    - show 1 slice of all images
%   cg_check_sample_sd.m  - check sample homogeneity across sample
%   cg_spmT2x.m           - transformation of t-maps to P, -log(P), r or d-maps
%   cg_vbm_debug.m        - print debug information for SPM5 and VBM5
%
% Batch functions
%   cg_vbm_batch.m        - batch mode wrapper for spm_jobman
%   cg_vbm_batch.sh       - shell script to use vbm from unix without gui
%
% Modified SPM5 functions
%   cg_spm_list.sh        - modified to correct for non-isotropic smoothness
%   cg_spm_getSPM.m       - modified to correct for non-isotropic smoothness
%   cg_spm_results_ui.m   - modified to correct for non-isotropic smoothness
%
% Functions from nS_Cluster Toolbox (Satoru Hayasaka)
% http://www.fmri.wfubmc.edu/HTML_nS_Cluster/
%   spm_max_nS.m          - correction for non-isotropic smoothness
%   stat_thresh.m         - GRF-statistics from FMRISTAT (Keith Worsley)
%                           http://www.math.mcgill.ca/keith/fmristat/
