function cg_check_truncation
% check for truncation of values above 1 in uint8 data
% a potential trunction is detected if at least 500 voxel have
% values == 1
%
% @(#)cg_check_trunction.m 1.00 2009/05/12 Christian Gaser

P = spm_select(Inf,'^m.*\.[in][im][gi]$','Select modulated images');
n = size(P,1);
V = spm_vol(P);

x = 0:0.01:2;

for i=1:n
	% onl check uint8 data
	if V(i).dt(1) == 2
		vol = spm_read_vols(V(i));
		h = hist(vol(:),x);
		max_value = x(max(find(h>0)));
		% check wheter the maximum value is 1 and at least 500 voxel have this value
		if (max_value == 1) && (h(101)>500)
			fprintf('Maximum of %s is 1 (potential truncation)\n',V(i).fname);
		end
	end
end
