function cg_vbm_batch(pattern,writeonly)
% wrapper for using batch mode (see cg_vbm_batch.sh)
%_______________________________________________________________________
% @(#)cg_vbm_batch.m	v1.18 Christian Gaser 2008/02/20

if nargin < 1
	fprintf('Syntax: cg_vbm_batch(pattern)\n');
	return
end

if nargin < 2
	writeonly = 0;
end

spm_defaults

warning off
% extract folder
folder = fileparts(pattern);
d = dir(pattern);
n = length(d);

if n == 0, error(sprintf('No file %s found in %s.\n',pattern,folder)); end

for i=1:n
	name = fullfile(folder,d(i).name);
	if writeonly
		jobs{1}.tools{1}.vbm{1}.write.data{i} = name;
	else
		jobs{1}.tools{1}.vbm{1}.estwrite.data{i} = name;
	end
end

spm_jobman('run_nogui',jobs)

exit
