function cg_vbm_defaults
% Sets the defaults for VBM
% FORMAT cg_vbm_defaults
%_______________________________________________________________________
%
% This file is intended to be customised for the site.
%
% Care must be taken when modifying this file
%_______________________________________________________________________
% @(#)cg_vbm_defaults.m	v1.18 Christian Gaser 2007/06/21

global defaults

% Estimation options
%=======================================================================
defaults.vbm.opts.tpm      = char(...
	fullfile(spm('Dir'),'tpm','grey.nii'),...
	fullfile(spm('Dir'),'tpm','white.nii'),...
	fullfile(spm('Dir'),'tpm','csf.nii'));	% Tissue probability maps
defaults.vbm.opts.ngaus    = [2 2 2 4];	% Gaussians per class
defaults.vbm.opts.regtype  = 'mni';		% Affine Regularisation
defaults.vbm.opts.warpreg  = 1;			% Warping Regularisation
defaults.vbm.opts.warpco   = 25;
defaults.vbm.opts.biasreg  = 0.0001;	% Bias regularisation
defaults.vbm.opts.biasfwhm = 70;		% Bias FWHM
defaults.vbm.opts.samp     = 3;			% Sampling distance
defaults.vbm.opts.msk      = '';		% Masking image
defaults.vbm.opts.usecom   = 1;			% Set origin

% Writing options
%=======================================================================
% segmentations:
%   native		0/1 (no/yes)
%   warped		0/1 (no/yes)
%   modulated	0/1/2 (none/affine+nonlinear/nonlinear only)
defaults.vbm.output.grey   = [0 1 2];	% GM
defaults.vbm.output.white  = [0 1 2];	% WM
defaults.vbm.output.csf    = [0 0 0];	% WM

% order is [native normalised descalped]
defaults.vbm.output.bias   = [0 1 0];		% bias corrected T1 image

% Extended writing options
%=======================================================================
defaults.vbm.output.extopts.usepriors   = 1;	% Use tissue priors
defaults.vbm.output.extopts.mrf         = 1;	% HMRF iterative weighting
defaults.vbm.output.extopts.cleanup     = 1;	% Cleanup: 1 - light; 2 -thorough
defaults.vbm.output.extopts.vox         = [1 1 1];	% Voxel size to write
defaults.vbm.output.extopts.bb          = [[-78 78]' [-112 76]' [-70 85]'];	% bounding box
defaults.vbm.output.extopts.writeaffine = 0;	% Write affine only
defaults.vbm.output.extopts.print       = 1;	% Display and print results
