function spm_vbm5
% VBM5 Toolbox wrapper to call vbm functions
%_______________________________________________________________________
% @(#)spm_vbm5.m	v1.18 Christian Gaser 2008/02/20

SPMid = spm('FnBanner',mfilename,'v1.18');
[Finter,Fgraph,CmdLine] = spm('FnUIsetup','VBM5.1');
spm_help('!ContextHelp',mfilename);
spm_help('!Disp','vbm5.man','',Fgraph,'      Voxel-based morphometry toolbox for SPM5');

fig = spm_figure('GetWin','Interactive');
h0  = uimenu(fig,...
	'Label',	'VBM5.1',...
	'Separator',	'on',...
	'Tag',		'VBM',...
	'HandleVisibility','on');
h1  = uimenu(h0,...
	'Label',	'Estimate and write',...
	'Separator',	'off',...
	'Tag',		'Estimate and write',...
	'CallBack','spm_jobman(''interactive'','''',''jobs.tools.vbm.estwrite'');',...
	'HandleVisibility','on');
h2  = uimenu(h0,...
	'Label',	'Write already estimated segmentations',...
	'Separator',	'off',...
	'Tag',		'Write segmentations',...
	'CallBack','spm_jobman(''interactive'','''',''jobs.tools.vbm.write'');',...
	'HandleVisibility','on');
h4  = uimenu(h0,...
	'Label',	'Tools',...
	'Separator',	'off',...
	'Tag',		'Tools',...
	'HandleVisibility','on');
h41  = uimenu(h4,...
	'Label',	'Check sample homogeneity using standard deviation across sample',...
	'Separator',	'off',...
	'Tag',		'Check sample homogeneity using standard deviation across sample',...
	'CallBack','spm_jobman(''interactive'','''',''jobs.tools.vbm.tools.check_sd'');',...
	'HandleVisibility','on');
h42  = uimenu(h4,...
	'Label',	'Display one slice for all images',...
	'Separator',	'off',...
	'Tag',		'Display one slice for all images',...
	'CallBack','spm_jobman(''interactive'','''',''jobs.tools.vbm.tools.showslice'');',...
	'HandleVisibility','on');
h43  = uimenu(h4,...
	'Label',	'Calculate raw volumes for GM/WM/CSF',...
	'Separator',	'off',...
	'Tag',		'VBM Calculate raw volumes for GM/WM/CSF',...
	'CallBack','spm_jobman(''interactive'','''',''jobs.tools.vbm.tools.calcvol'');',...
	'HandleVisibility','on');
h44  = uimenu(h4,...
	'Label',	'Threshold and transform spmT-maps',...
	'Separator',	'off',...
	'Tag',		'Threshold and transform spmT-maps',...
	'CallBack','spm_jobman(''interactive'','''',''jobs.tools.vbm.tools.T2x'');',...
	'HandleVisibility','on');
h45  = uimenu(h4,...
	'Label',	'Label segmentations',...
	'Separator',	'off',...
	'Tag',		'Label segmentations',...
	'CallBack','spm_jobman(''interactive'','''',''jobs.tools.vbm.tools.label'');',...
	'HandleVisibility','on');
h5  = uimenu(h0,...
	'Label',	'Results with non-stationary correction',...
	'Separator',	'off',...
	'Tag',		'Statistical Results with non-stationary correction',...
	'CallBack','[hReg,xSPM,SPM] = cg_spm_results_ui;cg_spm_list(''List'',xSPM,hReg);',...
	'HandleVisibility','on');
h6  = uimenu(h0,...
	'Label',	'Print VBM debug information',...
	'Separator',	'on',...
	'Tag',		'Print debug information about versions and last error',...
	'CallBack','cg_vbm_debug;',...
	'HandleVisibility','on');
h7  = uimenu(h0,...
	'Label',	'VBM Tools website',...
	'Separator',	'off',...
	'Tag',		'Launch VBM Tools site',...
	'CallBack',['set(gcbf,''Pointer'',''Watch''),',...
			'web(''http://dbm.neuro.uni-jena.de/vbm'',''-browser'');',...
			'set(gcbf,''Pointer'',''Arrow'')'],...
	'HandleVisibility','on');
h8  = uimenu(h0,...
	'Label',	'Download latest VBM5.1 toolbox',...
	'Separator',	'off',...
	'Tag',		'Download latest VBM5.1 toolbox',...
	'CallBack',['set(gcbf,''Pointer'',''Watch''),',...
			'web(''http://dbm.neuro.uni-jena.de/vbm5_latest.zip'',''-browser'');',...
			'set(gcbf,''Pointer'',''Arrow'')'],...
	'HandleVisibility','on');
